Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorNeighborhoodParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorNeighborhoodParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorNeighborhoodParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Neighborhood Particle Updater", "Updates the particle's position using (among other things) the best neighbor's position. Point = Point + Velocity*Inertia + (PersonalBestPoint-Point)*Phi_P*r_p + (BestNeighborPoint-Point)*Phi_G*r_g.")]
-  [StorableClass]
+  [StorableType("D30B72C0-247D-466C-B677-0C99DBFEB2E4")]
   [NonDiscoverableType]
   [Obsolete("Use SPSO2011ParticleUpdater")]
@@ -35,5 +35,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    private RealVectorNeighborhoodParticleUpdater(bool deserializing) : base(deserializing) { }
+    private RealVectorNeighborhoodParticleUpdater(StorableConstructorFlag _) : base(_) { }
     private RealVectorNeighborhoodParticleUpdater(RealVectorNeighborhoodParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public RealVectorNeighborhoodParticleUpdater() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleCreator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleCreator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,10 +27,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("RealVectorParticleCreator", "Creates a particle with position, zero velocity vector and personal best.")]
-  [StorableClass]
+  [StorableType("C2C2600B-BB18-4A97-960C-74C9303D2A33")]
   [NonDiscoverableType]
   [Obsolete("Use SPSOParticleCreator")]
@@ -69,5 +69,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RealVectorParticleCreator(bool deserializing) : base(deserializing) { }
+    protected RealVectorParticleCreator(StorableConstructorFlag _) : base(_) { }
     protected RealVectorParticleCreator(RealVectorParticleCreator original, Cloner cloner) : base(original, cloner) { }
     public RealVectorParticleCreator()
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,5 +26,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
@@ -32,5 +32,5 @@
 
   [Item("RealVectorParticleUpdater", "Updates a certain particle taking the current position and velocity into account, as well as the best point and the best point in a local neighborhood.")]
-  [StorableClass]
+  [StorableType("1396AC75-4875-4A0F-B6C9-640047078E6E")]
   [NonDiscoverableType]
   [Obsolete("Use SPSO2011ParticleUpdater")]
@@ -120,5 +120,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected RealVectorParticleUpdater(bool deserializing) : base(deserializing) { }
+    protected RealVectorParticleUpdater(StorableConstructorFlag _) : base(_) { }
     protected RealVectorParticleUpdater(RealVectorParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public RealVectorParticleUpdater()
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorSwarmUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -29,10 +29,10 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("RealVectorSwarmUpdater", "Updates personal best point and quality as well as global best point and quality.")]
-  [StorableClass]
+  [StorableType("190172D5-090F-49DA-B2FB-AD2DF8064F77")]
   [NonDiscoverableType]
   [Obsolete("Use SPSOSwarmUpdater")]
@@ -176,5 +176,5 @@
 
     [StorableConstructor]
-    private RealVectorSwarmUpdater(bool deserializing) : base(deserializing) { }
+    private RealVectorSwarmUpdater(StorableConstructorFlag _) : base(_) { }
     private RealVectorSwarmUpdater(RealVectorSwarmUpdater original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorTotallyConnectedParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorTotallyConnectedParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/RealVectorTotallyConnectedParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -23,10 +23,10 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Totally Connected Particle Updater", "Updates the particle's position using (among other things) the global best position. Use together with the empty topology initialzer. Point = Point + Velocity*Inertia + (PersonalBestPoint-Point)*Phi_P*r_p + (BestPoint-Point)*Phi_G*r_g")]
-  [StorableClass]
+  [StorableType("39FC0C08-AE80-4FA1-8C04-F54DE266C19E")]
   [NonDiscoverableType]
   [Obsolete("Use SPSO2011ParticleUpdater")]
@@ -35,5 +35,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    private RealVectorTotallyConnectedParticleUpdater(bool deserializing) : base(deserializing) { }
+    private RealVectorTotallyConnectedParticleUpdater(StorableConstructorFlag _) : base(_) { }
     private RealVectorTotallyConnectedParticleUpdater(RealVectorTotallyConnectedParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public RealVectorTotallyConnectedParticleUpdater() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007ParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007ParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007ParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,15 +24,14 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("SPSO 2007 Particle Updater", "Updates the particle's position according to the formulae described in SPSO 2007.")]
-  [StorableClass]
+  [StorableType("60C34D7A-CA73-432C-9EB1-05E503D8D2DD")]
   public sealed class SPSO2007ParticleUpdater : SPSOParticleUpdater {
 
     #region Construction & Cloning
     [StorableConstructor]
-    private SPSO2007ParticleUpdater(bool deserializing) : base(deserializing) { }
+    private SPSO2007ParticleUpdater(StorableConstructorFlag _) : base(_) { }
     private SPSO2007ParticleUpdater(SPSO2007ParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public SPSO2007ParticleUpdater() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007VelocityInitializer.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007VelocityInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2007VelocityInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,14 +22,14 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Velocity Initializer (SPSO 2007)", "Initializes the velocity vector.")]
-  [StorableClass]
+  [StorableType("40B46512-D94E-45E5-ABE5-6D9AA5B7D13A")]
   public class SPSO2007VelocityInitializer : SPSOVelocityInitializer {
     
     #region Construction & Cloning
     [StorableConstructor]
-    protected SPSO2007VelocityInitializer(bool deserializing) : base(deserializing) { }
+    protected SPSO2007VelocityInitializer(StorableConstructorFlag _) : base(_) { }
     protected SPSO2007VelocityInitializer(SPSO2007VelocityInitializer original, Cloner cloner) : base(original, cloner) { }
     public SPSO2007VelocityInitializer() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011ParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011ParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011ParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -24,14 +24,14 @@
 using HeuristicLab.Core;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.Random;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("SPSO 2011 Particle Updater", "Updates the particle's position according to the formulae described in SPSO 2011.")]
-  [StorableClass]
+  [StorableType("C680E305-159C-4A76-83E5-53982B583F9B")]
   public sealed class SPSO2011ParticleUpdater : SPSOParticleUpdater {
     #region Construction & Cloning
     [StorableConstructor]
-    private SPSO2011ParticleUpdater(bool deserializing) : base(deserializing) { }
+    private SPSO2011ParticleUpdater(StorableConstructorFlag _) : base(_) { }
     private SPSO2011ParticleUpdater(SPSO2011ParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public SPSO2011ParticleUpdater() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011VelocityInitializer.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011VelocityInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSO2011VelocityInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -22,14 +22,14 @@
 using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Velocity Initializer (SPSO 2011)", "Initializes the velocity vector.")]
-  [StorableClass]
+  [StorableType("E844F8B9-068B-433D-8693-9416CA9140FB")]
   public class SPSO2011VelocityInitializer : SPSOVelocityInitializer {
     
     #region Construction & Cloning
     [StorableConstructor]
-    protected SPSO2011VelocityInitializer(bool deserializing) : base(deserializing) { }
+    protected SPSO2011VelocityInitializer(StorableConstructorFlag _) : base(_) { }
     protected SPSO2011VelocityInitializer(SPSO2011VelocityInitializer original, Cloner cloner) : base(original, cloner) { }
     public SPSO2011VelocityInitializer() : base() { }
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleCreator.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleCreator.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleCreator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Particle Creator (SPSO)", "Creates a particle with position, velocity vector and personal best.")]
-  [StorableClass]
+  [StorableType("A2BB1DB9-7E4A-4DEA-B469-612F26645E0B")]
   public class SPSOParticleCreator : AlgorithmOperator, IRealVectorParticleCreator, IStochasticOperator {
 
@@ -59,5 +59,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected SPSOParticleCreator(bool deserializing) : base(deserializing) { }
+    protected SPSOParticleCreator(StorableConstructorFlag _) : base(_) { }
     protected SPSOParticleCreator(SPSOParticleCreator original, Cloner cloner) : base(original, cloner) { }
     public SPSOParticleCreator()
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOParticleUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,10 +26,10 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
 
   [Item("Particle Updater (SPSO)", "Updates a certain particle taking the current position and velocity into account, as well as the best point and the best point in a local neighborhood.")]
-  [StorableClass]
+  [StorableType("D29959F9-476B-47E3-8426-B358C9C07E01")]
   public abstract class SPSOParticleUpdater : SingleSuccessorOperator, IRealVectorParticleUpdater {
 
@@ -75,5 +75,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected SPSOParticleUpdater(bool deserializing) : base(deserializing) { }
+    protected SPSOParticleUpdater(StorableConstructorFlag _) : base(_) { }
     protected SPSOParticleUpdater(SPSOParticleUpdater original, Cloner cloner) : base(original, cloner) { }
     public SPSOParticleUpdater()
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOSwarmUpdater.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -30,10 +30,10 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Swarm Updater (SPSO)", "Updates personal best point and quality as well as neighbor best point and quality.")]
-  [StorableClass]
+  [StorableType("B8244196-9DB9-477C-A0A1-C1EB5BF4E1C1")]
   public sealed class SPSOSwarmUpdater : SingleSuccessorOperator, IRealVectorSwarmUpdater, ISingleObjectiveOperator {
 
@@ -109,5 +109,5 @@
 
     [StorableConstructor]
-    private SPSOSwarmUpdater(bool deserializing) : base(deserializing) { }
+    private SPSOSwarmUpdater(StorableConstructorFlag _) : base(_) { }
     private SPSOSwarmUpdater(SPSOSwarmUpdater original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOVelocityInitializer.cs
===================================================================
--- trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOVelocityInitializer.cs	(revision 15682)
+++ trunk/HeuristicLab.Encodings.RealVectorEncoding/3.3/ParticleOperators/SPSOVelocityInitializer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 ﻿#region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -26,9 +26,9 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Encodings.RealVectorEncoding {
   [Item("Velocity Initializer (SPSO)", "Initializes the velocity vector.")]
-  [StorableClass]
+  [StorableType("BB130DA2-221C-4C56-BF8D-9492BFA8E3C2")]
   public abstract class SPSOVelocityInitializer : SingleSuccessorOperator, IStochasticOperator {
     #region Parameters
@@ -49,5 +49,5 @@
     #region Construction & Cloning
     [StorableConstructor]
-    protected SPSOVelocityInitializer(bool deserializing) : base(deserializing) { }
+    protected SPSOVelocityInitializer(StorableConstructorFlag _) : base(_) { }
     protected SPSOVelocityInitializer(SPSOVelocityInitializer original, Cloner cloner) : base(original, cloner) { }
     protected SPSOVelocityInitializer()
